Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-47157

Qt command line tools should warn about using compatibility arguments

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3: Somewhat important
    • Resolution: Won't Do
    • Affects Version/s: 5.5.1
    • Fix Version/s: None
    • Component/s: Build tools: rcc
    • Labels:
      None

      Description

      The `rcc` tool lists `-list` in its `-help` output.

      http://doc.qt.io/qt-5/rcc.html

      does not show it. Apparently that documentation was not updated after

      Port rcc to QCommandLineParser, 2013-08-08
      http://code.qt.io/cgit/qt/qtbase.git/diff/src/tools/rcc/main.cpp?id=4774ff8eb1

      The `rcc` tool silently accepts `-list` for compatibility. It should accept it with a warning so that new code does not use it.

      http://public.kitware.com/Bug/view.php?id=15644

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            hjk hjk
            Reporter:
            steveire Stephen Kelly (Personal)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes